Reproduce a Claim valuation
curl --request GET \
--url https://api.heyrafiki.space/v1/claims/{claim_id}/valuation \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heyrafiki.space/v1/claims/{claim_id}/valuation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.heyrafiki.space/v1/claims/{claim_id}/valuation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heyrafiki.space/v1/claims/{claim_id}/valuation"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "claim_valuation",
"claim_id": "<string>",
"valuation_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"status": "draft",
"amount": {
"billed": 1,
"payer_liability": 1,
"patient_responsibility": 1,
"adjustment": 1,
"remitted": 1,
"settled": 1,
"outstanding": 1
},
"policy": {
"reference": "<string>",
"version": "<string>"
},
"events": [
{
"sequence": 2,
"type": "created",
"effective_at": "2023-11-07T05:31:56Z",
"recorded_at": "2023-11-07T05:31:56Z",
"previous_status": "draft",
"next_status": "draft",
"reason_code": "<string>",
"evidence_references": [
"<string>"
]
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}Reproduce a Claim valuation
Returns the synthetic Claim state and financial amounts known at an explicit cutoff. Both business time and knowledge time must fall on or before valuation_at. Requires claims:read.
GET
/
claims
/
{claim_id}
/
valuation
Reproduce a Claim valuation
curl --request GET \
--url https://api.heyrafiki.space/v1/claims/{claim_id}/valuation \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heyrafiki.space/v1/claims/{claim_id}/valuation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.heyrafiki.space/v1/claims/{claim_id}/valuation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heyrafiki.space/v1/claims/{claim_id}/valuation"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "claim_valuation",
"claim_id": "<string>",
"valuation_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"status": "draft",
"amount": {
"billed": 1,
"payer_liability": 1,
"patient_responsibility": 1,
"adjustment": 1,
"remitted": 1,
"settled": 1,
"outstanding": 1
},
"policy": {
"reference": "<string>",
"version": "<string>"
},
"events": [
{
"sequence": 2,
"type": "created",
"effective_at": "2023-11-07T05:31:56Z",
"recorded_at": "2023-11-07T05:31:56Z",
"previous_status": "draft",
"next_status": "draft",
"reason_code": "<string>",
"evidence_references": [
"<string>"
]
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}Authorizations
bearerAuthapiKeyAuth
A sandbox or production secret key.
Path Parameters
A public Claim identifier.
Maximum string length:
100Pattern:
^clm_[A-Za-z0-9_-]+$Query Parameters
Inclusive ISO 8601 cutoff for business time and system knowledge time.
Response
A reproducible Claim valuation
Stable composite of the Claim identifier and valuation cutoff.
Allowed value:
"claim_valuation"Pattern:
^clm_[A-Za-z0-9_-]+$Pattern:
^[A-Z]{3}$Available options:
draft, submitted, queried, approved, partially_approved, denied, settled, reversed, cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on August 10, 2026
Was this page helpful?

